Readme File for makertf version 1.03.

Copyright (C) 1994, 1995 Christian Schenk


makertf
Node: Top, Next: What is makertf?, Prev: (dir), Up: (dir)

makertf

This is the Readme File for makertf version 1.03.

* Menu:

What is makertf?	What is makertf?

Installation	How to install makertf

makertf Invocation	How to Run makertf

Help Project Files	Help Project Files

Makeinfo changes	Changes to 'makeinfo.c'

Getting the Help Compiler	Getting the Help Compiler

Copying	Copying

Bugs	Reporting Bugs


What is makertf?
Node: What is makertf?, Next: Installation, Prev: Top, Up: Top

What is makertf?

makertf is a program for converting "Texinfo" files into "Rich Text Format" (RTF) files. The Windows Help Compiler takes RTF files as input. Therefore you can use makertf to convert Texinfo documents into Windows Help Files.

makertf is derived from makeinfo 1.63, which is a part of the GNU Texinfo documentation system.


How to install makertf
Node: Installation, Next: makertf Invocation, Prev: What is makertf?, Up: Top

How to install makertf

Copy the files 'makertf.exe' and 'cwsdpmi.exe' into a directory of your choice. Make sure that this directory is reachable via the environmental variable 'PATH'.


How to Run makertf
Node: makertf Invocation, Next: Help Project Files, Prev: Installation, Up: Top

How to Run makertf

The usual way to invoke makertf is as follows:

makertf [options] infile

makertf accepts most of the command line options available for makeinfo. This is a list of the most common options:

--output file

-o file

Specify that the output should be directed to file.

--verbose

Cause makertf to display messages saying what it is doing.

--version

Report the version number of this copy of makertf.

In addition, makertf accepts the following option:

--hpj file

Cause makertf to create a help project file.

For example, use this command to create the RTF file 'makertf.rtf' and the HPJ file 'makertf.hpj':

makertf --output makertf.rtf --hpj makertf.hpj makertf.tex

The Windows Help File 'makertf.hlp' is then created by running the Help Compiler:

hc31 makertf


Help Project Files
Node: Help Project Files, Next: Makeinfo changes, Prev: makertf Invocation, Up: Top

Help Project Files

You specify options for the Windows Help Compiler by editing a "Help Project File" (HPJ File). For example, this is the HPJ File for 'makertf.hlp':

[options]
title=Makertf 1.03
compress=yes
contents=top

[files]
makertf.rtf

makertf creates an HPJ File when you use the command line option '--hpj'.


Changes to 'makeinfo.c'
Node: Makeinfo changes, Next: Getting the Help Compiler, Prev: Help Project Files, Up: Top

Changes to 'makeinfo.c'

Changes to the source code of makeinfo 1.63 are listed in the file 'makertf.pat', which is distributed together with makertf. If you have the Patch Utility, you can apply the changes with the following command:

patch --output=makertf.c makeinfo.c makertf.pat

makeinfo is part of the GNU Texinfo documentation system.  You can get GNU Texinfo from host 'prep.ai.mit.edu' using anonymous FTP.


Getting the Help Compiler
Node: Getting the Help Compiler, Next: Copying, Prev: Makeinfo changes, Up: Top

Getting the Help Compiler

The Windows Help Compiler is available via anonymous FTP from host 'ftp.microsoft.com'. Lookout for 'HC505.EXE' in directory './Softlib/MSLFILES'.


Copying
Node: Copying, Next: Bugs, Prev: Getting the Help Compiler, Up: Top

Copying

makertf is free software, and you are welcome to redistribute it under the conditions of the GNU General Public License (see file 'COPYING').


Reporting Bugs
Node: Bugs, Next: , Prev: Copying, Up: Top

Reporting Bugs

Please send suggestions and bug reports to:

Christian Schenk
Deutsche Telephonwerke AG & Co.
Abteilung GSS5
Zeughofstr. 1
10997 Berlin
Germany

Fon: +49 30 6104-4276
Fax: +49 30 6105-5302

e-mail: cschenk@gs.detewe.de